Fundraising
/- Searches for donors using predefined parameters
Creates a new donor record that does not already exist.
Execute Batch Operations
Recalculate Totals/Donor Clubs
Returns a donor from the system by its ID.
Returns a donor from the system by its ID.
Partially updates a donor with the specified ID.
Updates a donor with the specified ID.
Searches for donors using...
Searches for donors using predefined parameters
Security
knox-authorizer
The donor that you would like to be saved.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/donors/{tenantId}/search
- https://fundraising.api.rhythmsoftware.comhttps://fundraising.api.rhythmsoftware.com/donors/{tenantId}/search
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/donors/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"city": "string",
"contact_id": [
"string"
],
"email_address": "string",
"first_name": "string",
"ids": [
"string"
],
"job_title": "string",
"last_name": "string",
"nickname": "string",
"organization_id": [
"string"
],
"state": "string",
"type": "string"
}'Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }